
extern unsigned short NestedIrqFlag;

extern int DisableInterrupts(void);
extern int EnableInterrupts(void);
extern void RestoreInterrupts(int x);

extern void SendEOI(int irq);
extern int InstallIrqHandler(int irq, void (*handler)(void));
extern int RemoveIrqHandler(int irq);

extern int InstallTimer(void);
extern int RemoveTimer(void);

extern long GetTickCount(void);

extern void EnableIrq(int irq);
extern void _cdecl DisableIrq(int irq);

#define MS_PER_TICK		55

