;      ioport32.asm   Revision 1.0  10/31/95

; This software was written by Symbios Logic Inc. to develop and test new
; products.  Symbios Logic assumes no liability for its use.  This software
; is released to the public domain to illustrate certain programming
; techniques for the 53c8xx chips in target mode.

; Revision 1.0 10/31/95  Scott Rawlings
; Initial release.

	.model small
	.486

	.code

IoAddress               EQU     SS:[BP + 4]
Value                   EQU     SS:[BP + 6]

		  PUBLIC  _outport32

_outport32          PROC    NEAR

		  PUSH    BP
		  MOV     BP, SP

		  MOV     DX, word ptr IoAddress
		  MOV     EAX, dword ptr Value
		  OUT     DX, EAX

		  POP     BP
		  RET

_outport32          ENDP

		  PUBLIC  _inport32

_inport32           PROC    NEAR

		  PUSH    BP
		  MOV     BP, SP

		  MOV     DX, word ptr IoAddress
		  IN      EAX, DX

		  SHLD    EDX, EAX, 16            ;Put upper 16 bits of EAX into lower
													 ;bits of EDX

		  POP     BP
		  RET

_inport32           ENDP

	end
