
#ifndef SCSI_H_INCLUDED
#define SCSI_H_INCLUDED


void scsi_BusResetDetected(void);
void scsi_SelectionDetected(int initiator_id, int target_id);
int  scsi_Init(char FAR *cmdline);

void scsi_Reset(void);

void scsi_Poll(void);

int scsi_GetScsiId(void);
int scsi_IsAtnAsserted(void);

int scsi_CompleteCommand(unsigned char status);
int scsi_WriteToHost(void FAR *data_buffer, int nbytes);
int scsi_ReadFromHost(void FAR *data_buffer, int nbytes);
int scsi_WriteMessageToHost(void FAR *msg_buffer, int nbytes);
int scsi_ReadMessageFromHost(void FAR *msg_buffer, int maxbytes);
int scsi_Disconnect(int save_data_pointer);
int scsi_Reconnect(int initiator_id, unsigned char identify_msg);
#endif

