
#include "utility.h"

int tolower(int ch)
	{
	if (ch >= 'A' && ch <= 'Z')
		return ch + 'a' - 'A';
	else
		return ch;
	}

char FAR *FindArg( char FAR *cmdline, char arg )
	{
	char FAR *s = cmdline;


	while (*s && *s != 13 && *s != 10)		/* while not EOL */
		{
		if (*s == '/' || *s == '-')
			{
			if (tolower(*(s+1)) == tolower(arg))
				{
				/* We've found it, return the address of the value */
				if (*(s+2) == ':' || *(s+2) == '=')
					return s + 3;
				else
					return s + 2;
				}
			}
		s++;
		}

	return (char FAR *) 0;
	}


unsigned str_to_dec(char FAR *s)
	{
	unsigned n = 0;

	while (*s)
		{
		if ( (*s >= '0') && (*s <= '9') )
			n = (n * 10) + (*s - '0');
		else
			break;
		s++;
		}

	return n;
	}


unsigned str_to_hex(char FAR *s)
	{
	unsigned d;
	unsigned n = 0;

	while (*s)
		{
		if (*s >= '0' && *s <= '9')
			d = *s - '0';
		else if (*s >= 'a' && *s <= 'f')
			d = (*s - 'a') + 10;
		else if (*s >= 'A' && *s <= 'F')
			d = (*s - 'A') + 10;
		else
			break;
		n = n * 16 + d;
		s++;
		}

	return n;
	}


void PutHexByte(unsigned n)
	{
	static char HexTable[] = "0123456789ABCDEF";
	PutChar( HexTable[(n >> 4) & 0x0F] );
	PutChar( HexTable[n & 0x0F] );
	}


void PutHexWord(unsigned n)
	{
	PutHexByte(n >> 8);
	PutHexByte(n);
	}



