
	.model small,c
	.data

TspiEntryPoint	dd	0
TspiHandle	dw	0
TspiDriverName	db	'TSPIMGR$',0

	.code



GetTspiEntryPoint	proc

	mov	word ptr [TspiEntryPoint],0
	mov	word ptr [TspiEntryPoint+2],0
	
	; Open the TSPI Manager
	lea	dx,TspiDriverName	; DOS driver name
	mov	ax,3D00h		; DOS open file
	int	21h			
	jc	exit
	mov	[TspiHandle],ax		; save file handle


	; Issue IOCTL READ to get the entry point
	mov	bx,[TspiHandle]		; driver handle
	lea	dx,TspiEntryPoint	; buffer = &TspiEntryPoint
	mov	cx,4			; length = 4 bytes
	mov	ax,4402h		; DOS IOCTL read
	int	21h

	; Close the TSPI Manager
	mov	bx,[TspiHandle]		; driver handle
	mov	ax,3E00h		; DOS close file
	int	21h

exit:
	mov	ax,word ptr [TspiEntryPoint]
	mov	dx,word ptr [TspiEntryPoint+2]
	ret

GetTspiEntryPoint	endp



	end

